installing ubuntu stoped on "installing system" on 0% without any progress for half an hour

Bug #376120 reported by farfor on 2009-05-13
52
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Wubi
Medium
Unassigned
linux (Ubuntu)
High
Andy Whitcroft

Bug Description

after I download ubuntu and wubi and installed wubi and reboot

the computer start installing ubuntu
it works good until it came to "installing system" and stoped on 0% for more than half an hour and The installation cannot continue

Agostino Russo (ago) wrote :

Please do a clean install, at reboot press ESC after "ubuntu" and select verbose mode. If the problem repeats press ctrl+alt+f2 to get a shell and post /var/log/syslog

I tryed to do what is written below :
reinstall the wubi and reboot
and befor ubuntu start I click verbose mode
but it does the same problem until it came installing system and stoped on 0%
I tryed to click ctrl+alt+F2 but I am begiener on limux so I doesn't got the meining of
"get a shell and post /var/log/syslog"
please tell me how I could do that

--- On Wed, 5/13/09, Agostino Russo <email address hidden> wrote:

From: Agostino Russo <email address hidden>
Subject: [Bug 376120] Re: installing ubuntu stoped on "installing system" on 0% without any progress for half an hour
To: <email address hidden>
Date: Wednesday, May 13, 2009, 6:56 PM

Please do a clean install, at reboot press ESC after "ubuntu" and select
verbose mode. If the problem repeats press ctrl+alt+f2 to get a shell
and post /var/log/syslog

--
installing ubuntu stoped on "installing system" on 0% without any progress for half an hour
https://bugs.launchpad.net/bugs/376120
You received this bug notification because you are a direct subscriber
of the bug.

Status in Wubi, Windows Ubuntu Installer: New

Bug description:
after I download ubuntu and wubi and installed wubi and reboot

the computer start installing ubuntu
it works good until it came to  "installing system" and stoped on 0% for more than half an hour and The installation cannot continue

Agostino Russo (ago) wrote :

You should get a shell with a login prompt. Log in and the type the following command

sh /custom-installation/hooks/failure-command.sh

That should generate a zipped file in C:\ubuntu under windows

farfor (rafek-finearts) wrote :

please I can't understand the meining of "get a shell" what is "shell" and what is "login prompt" please tell me how I could do that step by step because this is for me the first time to use linux

You should get a shell with a login prompt. Log in and the type the
following command

sh /custom-installation/hooks/failure-command.sh

That should generate a zipped file in C:\ubuntu under windows

--
installing ubuntu stoped on "installing system" on 0% without any progress for half an hour
https://bugs.launchpad.net/bugs/376120
You received this bug notification because you are a direct subscriber
of the bug.

Status in Wubi, Windows Ubuntu Installer: New

Bug description:
after I download ubuntu and wubi and installed wubi and reboot

the computer start installing ubuntu
it works good until it came to  "installing system" and stoped on 0% for more than half an hour and The installation cannot continue

sroracle (seth-wikimetru) wrote :

#378869 has a log attached - https://bugs.launchpad.net/wubi/+bug/378869

lasker_341 (lasker-341) wrote :

Same problem here.
On the firstboot is goes well until it gets into the grafic mode (ubuntu wallpaper visible), it then starts checking the installation, this goes well until it gets to:

system is being installed
swapmemory in partition #1 on host/ubuntu.disks/swap...
(progress meter stays on 0%)

When I press the powerbutton, it does a normal shutdown. So it does not seem to be frozen, just waiting for something. There is no diskactivity.

- I installed WUBI under XP on my data-partion ( D: ) FAT32.
- I have 1GB memory
- I have 4 primary partions on the disk (XP1, XP2, WIN98SE, DATA)
- only XP1 (C) and DATA (D) are visible
- I defragmented the disk
- I used last version of WUBI (wubi-r134)

The LiveCD runs fine

I reserved 10GB for ubunti in WUBI (tried 9 and 6 too)
I noticed that WUBI makes a rather small swapdisk-file of 256MB

I tryed deleting the swapfile hoping it might skip, but it creates a new one of exactly 150.000.000 bytes during boottime. But it still freezes at the same stage.

Agostino Russo (ago) wrote :

Can you post the content of c:\ubuntu\install\custom-installation\preseed.cfg (for rev134)?

Does this happen also with http://people.ubuntu.com/~evand/wubi/jaunty/wubi-r129-signed.exe (select 4GB)?

Any difference in terms of preseed.cfg and file sizes in c:\ubuntu\disks\swap.disk?

lasker_341 (lasker-341) wrote :

==================================================================
Here is preseed.cfg for rev124
==================================================================

## LOCALE
# set using kernel boot argumens

## KEYBOARD
# set using kernel boot argumens

## NETWORKING
d-i netcfg/choose_interface select auto
d-i netcfg/dhcp_failed note
d-i netcfg/dhcp_options select Do not configure the network at this time
d-i netcfg/get_hostname string ubuntu
d-i netcfg/get_domain string ubuntu-domain
d-i netcfg/wireless_essid string essid
d-i netcfg/wireless_wep string

## SHELL COMMANDS.
d-i preseed/early_command string [ -x /custom-installation/hooks/early-command.sh ] && /custom-installation/hooks/early-command.sh

## UBIQUITY
ubiquity ubiquity/summary note
ubiquity ubiquity/reboot boolean true
ubiquity ubiquity/success_command string [ -x /custom-installation/hooks/success-command.sh ] && /custom-installation/hooks/success-command.sh
ubiquity ubiquity/failure_command string [ -x /custom-installation/hooks/failure-command.sh ] && /custom-installation/hooks/failure-command.sh

## SKIP Security-Update-Error
d-i apt-setup/security-updates-failed note

## MIRRORS
d-i mirror/http/proxy string

## SUITE
d-i mirror/suite string jaunty

## PARTITIONING
d-i partman-auto/disk string LIDISK
d-i partman-auto/method string loop
d-i partman-auto-loop/partition string LIPARTITION
d-i partman-auto-loop/recipe string \
  /ubuntu/disks/root.disk 3000 3744 3744 ext3 method{ format } format{ } use_filesystem{ } filesystem{ ext3 } mountpoint{ / } . \
  /ubuntu/disks/swap.disk 100 256 256 linux-swap method{ swap } format{ } . \

d-i partman/confirm_write_new_label boolean true
d-i partman/choose_partition \
       select Finish partitioning and write changes to disk
d-i partman/confirm boolean true
d-i partman/filter_mounted boolean false
d-i ubiquity/partman-skip-unmount boolean true

## CLOCK AND TIME ZONE
d-i clock-setup/utc boolean false
d-i time/zone string Europe/Rome

## USER ACCOUNT
d-i passwd/root-login boolean false
d-i passwd/user-fullname string sysop
d-i passwd/username string sysop
d-i passwd/user-password-crypted password $1$GvnD1$R8Hgc/pUIbERMWoooIruh/
d-i user-setup/encrypt-home boolean false

## BOOT LOADER
d-i lilo-installer/skip boolean true
d-i grub-installer/bootdev_directory string /ubuntu/disks
d-i grub-installer/only_debian boolean true
d-i grub-installer/with_other_os boolean true

## PACKAGE SELECTION
tasksel tasksel/first multiselect ubuntu-desktop

## FINISH FIRST STAGE
d-i finish-install/reboot_in_progress note
d-i cdrom-detect/eject boolean false

## X CONFIGURATION
xserver-xorg xserver-xorg/autodetect_monitor boolean true

## MIGRATION-ASSISTANT
#UserFolder=/Documents and Settings/sysop
d-i anna/choose_modules multiselect migration-assistant
d-i migration-assistant/partitions multiselect Windows XP Professional (/dev/MADEVICE)
d-i migration-assistant/MADEVICE/users multiselect sysop
d-i migration-assistant/MADEVICE/sysop/items multiselect AIM Triton, Internet Explorer, Yahoo, MSN, Opera, Firefox, Wallpaper, User Picture, Outlook Express, Gaim
d-i migration-assistant/MADEVICE/sysop/user string sysop

lasker_341 (lasker-341) wrote :
Download full text (3.2 KiB)

==================================================================
Here is preseed.cfg for rev129-signed
it is identical with rec134 exept for password and userfolder
==================================================================

## LOCALE
# set using kernel boot argumens

## KEYBOARD
# set using kernel boot argumens

## NETWORKING
d-i netcfg/choose_interface select auto
d-i netcfg/dhcp_failed note
d-i netcfg/dhcp_options select Do not configure the network at this time
d-i netcfg/get_hostname string ubuntu
d-i netcfg/get_domain string ubuntu-domain
d-i netcfg/wireless_essid string essid
d-i netcfg/wireless_wep string

## SHELL COMMANDS.
d-i preseed/early_command string [ -x /custom-installation/hooks/early-command.sh ] && /custom-installation/hooks/early-command.sh

## UBIQUITY
ubiquity ubiquity/summary note
ubiquity ubiquity/reboot boolean true
ubiquity ubiquity/success_command string [ -x /custom-installation/hooks/success-command.sh ] && /custom-installation/hooks/success-command.sh
ubiquity ubiquity/failure_command string [ -x /custom-installation/hooks/failure-command.sh ] && /custom-installation/hooks/failure-command.sh

## SKIP Security-Update-Error
d-i apt-setup/security-updates-failed note

## MIRRORS
d-i mirror/http/proxy string

## SUITE
d-i mirror/suite string jaunty

## PARTITIONING
d-i partman-auto/disk string LIDISK
d-i partman-auto/method string loop
d-i partman-auto-loop/partition string LIPARTITION
d-i partman-auto-loop/recipe string \
  /ubuntu/disks/root.disk 3000 3744 3744 ext3 method{ format } format{ } use_filesystem{ } filesystem{ ext3 } mountpoint{ / } . \
  /ubuntu/disks/swap.disk 100 256 256 linux-swap method{ swap } format{ } . \

d-i partman/confirm_write_new_label boolean true
d-i partman/choose_partition \
       select Finish partitioning and write changes to disk
d-i partman/confirm boolean true
d-i partman/filter_mounted boolean false
d-i ubiquity/partman-skip-unmount boolean true

## CLOCK AND TIME ZONE
d-i clock-setup/utc boolean false
d-i time/zone string Europe/Rome

## USER ACCOUNT
d-i passwd/root-login boolean false
d-i passwd/user-fullname string sysop
d-i passwd/username string sysop
d-i passwd/user-password-crypted password $1$GvnD1$R8Hgc/pUIbERMWoooIruh/
d-i user-setup/encrypt-home boolean false

## BOOT LOADER
d-i lilo-installer/skip boolean true
d-i grub-installer/bootdev_directory string /ubuntu/disks
d-i grub-installer/only_debian boolean true
d-i grub-installer/with_other_os boolean true

## PACKAGE SELECTION
tasksel tasksel/first multiselect ubuntu-desktop

## FINISH FIRST STAGE
d-i finish-install/reboot_in_progress note
d-i cdrom-detect/eject boolean false

## X CONFIGURATION
xserver-xorg xserver-xorg/autodetect_monitor boolean true

## MIGRATION-ASSISTANT
#UserFolder=/Documents and Settings/sysop
d-i anna/choose_modules multiselect migration-assistant
d-i migration-assistant/partitions multiselect Windows XP Professional (/dev/MADEVICE)
d-i migration-assistant/MADEVICE/users multiselect sysop
d-i migration-assistant/MADEVICE/sysop/items multiselect AIM Triton, Internet Explorer, Yahoo, MSN, Opera, Firefox, Wallpaper, User Picture, Outlook Express, Gaim
d-i migration-assistant/M...

Read more...

lasker_341 (lasker-341) wrote :

With rev129-signed is stalles at exactly the same point of the bootproces.

preseed.cfg for rev129-signed is identical with rev134 exept for password and userfolder

Both were succefull during install.

I forgat to mention: I started using rev134 because wubi.exe on CD frooze on install, during creating virtual disks. (It only created one disk file than stalled).

Thanks for taking an interest, I hope this information is helpfull.

Andy Whitcroft (apw) on 2009-06-16
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Andy Whitcroft (apw)
Andy Whitcroft (apw) wrote :

Ok all of these symptoms are believed to be triggered by a hang during swapon. Here we are trying to add swap in a file directly on a FAT filesystem. Looking at a system suffering this issue we see the following:

    [ 236.224024] INFO: task swapon:8293 blocked for more than 120 seconds.
    [ 236.224028] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
    [ 236.224031] swapon D ebbb4000 0 8293 8278
    [ 236.224035] d8823e58 00000082 c06d3380 ebbb4000 c0193c92 ebb2de00 c0687340 c07b4500
    [ 236.224040] d8834b60 d8834dd8 c180d600 c06d5400 c180d600 16bb60b6 0000000f d8834dd8
    [ 236.224044] 00000000 c06d9f8c f6963a10 f6963a14 ffffffff d8823e80 c0501c1e d8834b60
    [ 236.224048] Call Trace:
    [ 236.224056] [<c0193c92>] ? buffered_rmqueue+0x1a2/0x2a0
    [ 236.224060] [<c0501c1e>] __mutex_lock_slowpath+0x6e/0xb0
    [ 236.224063] [<c0501a57>] mutex_lock+0x17/0x20
    [ 236.224078] [<f8c7999f>] _fat_bmap+0x1f/0x50 [fat]
    [ 236.224086] [<f8c79980>] ? _fat_bmap+0x0/0x50 [fat]
    [ 236.224089] [<c01cf301>] bmap+0x31/0x40
    [ 236.224092] [<c01abe9e>] setup_swap_extents+0x16e/0x400
    [ 236.224096] [<c01ac6fa>] ? sys_swapon+0x5ca/0x820
    [ 236.224099] [<c01ac7a2>] sys_swapon+0x672/0x820
    [ 236.224102] [<c01beaba>] ? __fput+0x14a/0x1c0
    [ 236.224106] [<c01bb5da>] ? sys_close+0x7a/0xc0
    [ 236.224109] [<c0103f6b>] sysenter_do_call+0x12/0x2f

Seems that we have hung during the attempt to map the blocks we are going to
use for swap.

Looking at upstream it appears there is a modification to the locking in this
routine which would previously have caused such a deadlock:

    commit 3a95ea1155c5d44aa58dde2f64f0ddafe27fd1fb
    Author: OGAWA Hirofumi <email address hidden>
    Date: Thu Mar 12 02:03:23 2009 +0900

 Fix _fat_bmap() locking

 On swapon() path, it has already i_mutex. So, this uses i_alloc_sem
 instead of it.

 Signed-off-by: OGAWA Hirofumi <email address hidden>
 Reported-by: Laurent GUERBY <email address hidden>
 Signed-off-by: Linus Torvalds <email address hidden>

This commit is missing in the Jaunty kernel. Will pull this back to Jaunty
and get some test kernels built.

Andy Whitcroft (apw) wrote :

Ok the test kernels are built. The images and associated patch can be found at the URL below. Those of you who know how to test this might do so and report back here. Kernels are here:

    http://people.ubuntu.com/~apw/lp376120-jaunty/

Changed in linux (Ubuntu):
status: In Progress → Incomplete
Agostino Russo (ago) on 2009-06-21
Changed in wubi:
importance: Undecided → Medium
status: New → Confirmed
dingding (dingjiemindev) wrote :

The test kernel works, and this is what I've done:
1) install the test kernel on 2.6.28-13 one (type uname -rv and get 2.6.28-14-generic #45~lp376120apw1 SMP Tue Jun 16 09:59:28 UTC 2009 );
2) create a 1G swap.disk file on FAT partition (type dd if=/dev/zero of=/path/swap.disk bs=1M seek=1023 count=1);
3) type swapon -v swap.disk and the system quickly responds with "swapon swap.disk" instead of hangs;
4) type swapon -s to see the new swap area is really added.

dingding (dingjiemindev) wrote :

I made further test to validate the test kernels:
1) create a customized live cd including the test kernels based on the original one named ubuntu-9.04-desktop-i386.iso;
2) run the wubi.exe to extract installation package from the customized live cd on a FAT partition (choose a installation size less than or equal to 4GB due to single file capacity constraint on FAT);
3) restart the computer to see that the automatic installer executes smoothly to complete;
4) log in the newly installed system and everything seems OK.

One issue during the above procedure was that the swap.disk file generated by wubi was incorrect, I deleted it and created a new one (type dd if=/dev/zero of=/path/swap.disk bs=1M count=256) before step 3, but I thought that might not be a problem since I run the wubi through wine.

dingding (dingjiemindev) wrote :

Sorry, the swap.disk issue happened to appear in NTFS partition when executing wubi through wine(version 1.1.26) under ubuntu 9.04, so I thought the test kernels should resolve this hang problem on FAT partition.

Agostino Russo (ago) wrote :

Can you reproduce using 9.10?

Changed in wubi:
status: Confirmed → Incomplete
dingding (dingjiemindev) wrote :

I did test this issue on 9.10 beta with live cd mode when it is released:
1) create a 1G swap.disk file on FAT partition (type dd if=/dev/zero of=/path/swap.disk bs=1M seek=1023 count=1);
2) type swapon -v swap.disk and the system quickly responds with "swapon swap.disk" instead of hangs;
3) type swapon -s to see the new swap area is really added

Agostino Russo (ago) wrote :

Do you have the same problem in wubi 9-10 final release?

Philip Chung (philipchung1995) wrote :

Note: this is only temporary, but I think most people would do this rather than wait for a new kernel

Windows XP has a utility called "convert" that can convert a FAT or FAT32 drive into NTFS
my drive was originally FAT32, and these are the EXACT steps I took:
1) uninstall Ubuntu (which you attempted to install with Wubi)
2) open the Command Prompt (look for it in the Start Menu)
3) type:
convert c: /fs:ntfs
replacing c with the approproate drive letter if necessary
4) wait until you see the message "Conversion Complete"
5) reinstall Wubi as normal

Philip Chung (philipchung1995) wrote :

article on Microsoft knowledgebase:
http://support.microsoft.com/kb/307881

dingding (dingjiemindev) wrote :

I tried the following steps:
1) run the wubi inside 9.10 final release desktop cd to extract installation package on a FAT32 partition (choose a installation size less than or equal to 4GB due to single file capacity constraint on FAT32 and keep others default);
2) restart the computer to see that the automatic installer executes smoothly to complete;
3) log in the newly installed system and everything is OK.
I'm glad to say this issue on FAT32 does not occur anymore.

Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu release http://www.ubuntu.com/getubuntu/download . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-expired
Changed in linux (Ubuntu):
status: Incomplete → Expired
tags: added: iso-testing
Elvis Slavić (liquidplay) wrote :

I have the same issue in Wubi while testing for Quantal Alpha 1.

Here is my report from testing:

Not sure if bug is entirely the same. Essentially, the symptoms are the same but on top of that I can't log in with username and password selected during install. System is apparently waiting for something with message about preparing for first run. I left it there for more than 1 hour. When trying to login in console (Ctrl + Alt + F2) system issues password incorrect message.
I noticed on terminal 7 a long list of errors.

Example: /usr/share/perl/5.14/Carp.pm has too many errors.
Compilation failed in require at /usr/share/perl/5.14/Tie/Hash.pm line 5

I tried to use explore2fs to read contents of root.disk but it doesn't want to read the contents and shows empty disk.

UPDATE:
I had some time so I tried the install under Windows 8 RC in VirtualBox VM. I had the same error. Password was simple, no Unicode characters.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers